module Mobile
module Entities
  class Journal <Grape::Entity
    include Redmine::I18n
=begin
    include Redmine::I18n
    include ApplicationHelper
    include ApiHelper
    include IssuesHelper
    include ActionView::Helpers::TagHelper
    include ActionView::Helpers::UrlHelper
=end
    def self.journal_expose(f)
      expose f do |journal, opt|
        if journal.is_a?(Hash) && journal.key?(f)
          journal[f]
        elsif journal.is_a?(::Journal)
          if journal.respond_to?(f)
            if f == :created_on
              time_from_now(journal.send(f))
            else
              journal.send(f)
            end
          else
            case f
              when :detail_journal
                if journal.details.any?
                  details_to_strings(journal.details)
                end
            end
          end
        end
      end
    end

    expose :notes
    journal_expose :created_on
    expose :user,using: Mobile::Entities::User do |f, opt|
      f.user
    end
    #journal_expose :detail_journal
  end
end
end